# Uses of Package
java.util.jar

Packages that use java.util.jar
Package
Description
java.lang.instrument
Provides services that allow Java programming language agents to instrument programs running on the JVM.
java.net
Provides the classes for implementing networking applications.
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.

Classes in java.util.jar used by java.lang.instrument
Class
Description
JarFile
The `JarFile` class is used to read the contents of a jar file from any file that can be opened with `java.io.RandomAccessFile`.
Classes in java.util.jar used by java.net
Class
Description
Attributes
The Attributes class maps Manifest attribute names to associated string values.
JarEntry
This class is used to represent a JAR file entry.
JarFile
The `JarFile` class is used to read the contents of a jar file from any file that can be opened with `java.io.RandomAccessFile`.
Manifest
The Manifest class is used to maintain Manifest entry names and their associated Attributes.
Classes in java.util.jar used by java.util.jar
Class
Description
Attributes
The Attributes class maps Manifest attribute names to associated string values.
Attributes.Name
The Attributes.Name class represents an attribute name stored in this Map.
JarEntry
This class is used to represent a JAR file entry.
Manifest
The Manifest class is used to maintain Manifest entry names and their associated Attributes.